%define modname txws
%define capname txWS

Name:          python-txws
Version:       0.9.1
Release:       %mkrel 5
Summary:       Twisted WebSockets wrapper

Group:         Development/Python
License:       MIT
URL:           http://pypi.python.org/pypi/%{capname}
Source0:       http://pypi.python.org/packages/source/t/%{capname}/%{capname}-%{version}.tar.gz
Patch0:        python-txws-drop-vcversioner.patch

BuildArch:     noarch

BuildRequires: python-devel
BuildRequires: python-setuptools
BuildRequires: python-twisted-core
BuildRequires: python-twisted-web

Requires:      python-twisted-core
Requires:      python-twisted-web

%description
txWS (pronounced "Twisted WebSockets") is a small, short, simple library
for adding WebSockets server support to your favorite Twisted applications.

%prep
%setup -q -n %{capname}-%{version}
%autopatch -p1


%build
%{__python} setup.py build 


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%files
%doc README.rst
%{python_sitelib}/%{modname}.py*
%{python_sitelib}/%{capname}-%{version}-*.egg-info



%changelog
* Sat Feb 06 2016 umeabot <umeabot> 0.9.1-5.mga6
+ Revision: 940723
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.1-4.mga5
+ Revision: 744998
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9.1-3.mga5
+ Revision: 729952
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.1-2.mga5
+ Revision: 688399
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 philippem <philippem> 0.9.1-1.mga5
+ Revision: 669666
- update to 0.9.1

* Tue Jun 24 2014 philippem <philippem> 0.9-1.mga5
+ Revision: 639340
- update python-txws-drop-vcversioner.patch
- update to 0.9

  + pterjan <pterjan>
    - Rebuild for new Python

* Mon Feb 24 2014 philippem <philippem> 0.8-1.mga5
+ Revision: 596600
- imported package python-txws

